body {
    padding-bottom: 2rem;
}

.title {
    text-align: center;
    margin: 1rem;
    font-size: 2rem;
}

.subtitle {
    text-align: center;
    margin: .25rem;
}

.textarea-container, .buttons-container {
    width: 50%;
    margin-left: auto;
    margin-right: auto;
}

.textarea {
    resize: none;
    max-width: 100%;
}

button.save, button.clear, .ws-button {
    width: 45%;
    border: none;
    border-radius: .5rem;
    background-color: #e7e7e7;
    color: #000000;
    padding: .25rem;
}

button.save {
    float: left;
}

button.clear {
    float: right;
}

.separator {
    height:1px;
    border-bottom: 1px solid #717171;
    border-top: 1px solid #313030;
    margin: 2rem 1rem;
    width: 100%;
}

.dropper-box, .socket-output {
    border: 1px solid #000000;
    width: 50%;
    margin-top: 1rem;
    text-align: center;
    margin-left: auto;
    margin-right: auto;
}

.dropper-box.input {
    height: 3rem;
    padding-top: 1rem;
}

.dropper-box.output {
    border: none;
}

.output-list {
    list-style: none;
    padding: 0;
    margin: 0;
}

.socket-output {
    height: 4rem;
    width: 50%;
    overflow: scroll;
    margin-top: 0;
}

.ws-button {
    width: 30%;
    font-size: .8rem;
    padding: 1px;
}

div.socket-output p {
    margin: 0;
    font-size: .8rem;
}

.svg-container {
    width: 50%;
    margin-left: auto;
    margin-right: auto;
}

#canvas {
    width: 100%;
    height: 100%;
}